1. Webhook
API Documentation
  • API Documentation Change Log
  • API Reference Guide
    • List of Payin Methods
    • List of Payout Methods
    • List of Supported Bank
    • Payout Payload Example
    • Purpose Code
    • Checkout Page Flow
  • API Documentation
    • Master Data
      • Get All Country & Currency Code
    • Payout Method
      • Get All Payout Method
    • Payin Method
      • Get All Payin Method
    • Payin
      • Create Payin
      • Simulate Payin
      • Retrieve Payin
    • Payout
      • Create Payout
      • Simulate Payout
      • Retrieve Payout
      • Get All Payout
    • Checkout
      • Create Payment Request
      • Get All Checkout
      • Get Detail Checkout
      • Create New Checkout
    • Webhook
      • Webhook PAYIN SUCCESS
        POST
      • Webhook PAYIN FAILED
        POST
      • Webhook PAYIN EXPIRED
        POST
      • Webhook PAYOUT SUCCESS
        POST
      • Webhook PAYOUT FAILED
        POST
      • Webhook PAYOUT RETURNED
        POST
    • Merchant
      • Get Balance Payout
    • Get List Payment Method by Currency
      GET
  • Features Documentation
    • Dashboard
    • Transaction
      • Payin
      • Payout
      • Rolling Reserve
      • Refund Request
    • Finance
      • Settlement Report APM
      • Settlement Report CARD
      • History Balance APM
      • History Balance CARD
    • Account
      • Profile Account
      • Manage Users
    • Setting
      • Integration Details
  1. Webhook

Webhook PAYIN SUCCESS

Developing
POST
url_webhook_merchant
Each POST/PATCH Request requires a Signature in the header, you can follow the following code to create the Signature:
const crypto = require('crypto'); const signature = crypto.createHmac('sha256', signatureKey) .update(JSON.stringify(data)).digest('hex');

Request

Header Params

Body Params application/json

Example
{
  "id": "3650c921-88ae-4437-961d-48a2b9f3d021",
  "bin": "",
  "type": "PAYIN",
  "brand": "JOHNDOEBRAND",
  "is_3ds": "",
  "status": "SUCCESS",
  "currency": "FIAT",
  "payer_id": "2f872ec8-721d-40bd-a103-9e6a8db40dbb",
  "recon_id": "johndoe_recond_id",
  "trx_type": "CHECKOUT",
  "retrieval": 0,
  "created_at": "2026-04-20T03:50:15.000Z",
  "deleted_at": null,
  "ip_address": "",
  "reply_code": "DP-1776657013143-JB",
  "updated_at": "2026-04-20T03:54:40.000Z",
  "amount_type": "INR",
  "charge_back": 0,
  "credit_type": "CHECKOUT",
  "merchant_id": "230a5dd0-8c0d-4937-bdd2-970f99fa9cee",
  "paid_amount": 15000,
  "transaction": "invoice_20042026_002",
  "payment_date": null,
  "is_black_list": 0,
  "rolling_serve": 0,
  "customer_email": "jenii0022@yopmail.com",
  "customer_phone": "+6285156781122",
  "payment_method": "UPI",
  "additional_info": {
    "qr": "https://paycombat.co/SKU20240815025041/image?encoded=true&url=aHR0cHM6Ly9hcGkucXJzZXJ2ZXIuY29tL3YxL2NyZWF0ZS1xci1jb2RlLz9zaXplPTUxMng1MTImYmdjb2xvcj1GRkZGRkYmY29sb3I9MzkzQzNFJmRhdGE9dXBpJTNBJTJGJTJGcGF5JTNGcGElM0RoYW5zJTI1NDB1cGklMjZwbiUzRE1vb24lMjZ0ciUzRDE3NzY2NTcwMTQlMjZ0aWQlM0REUDE3NzY2NTcwMTQ4MDglMjZhbSUzRDE1MDAwLjAwJTI2dG4lM0R0ZXN0JTI1MjBwYXltZW50",
    "utr": "697300000563",
    "amount": "15000.00",
    "status": "success",
    "upi_id": "hans@upi",
    "message": "[DP] Submit Transaction Success!",
    "expired_at": "2026-04-20 09:35:14",
    "transaction_no": "DP1776657014808",
    "expired_timezone": "GMT+05:30",
    "transaction_code": "DP-1776657013143-JB"
  },
  "billing_address": "",
  "order_reference": "invoice_20042026_002",
  "original_amount": 15000,
  "transaction_date": "2025-10-24T01:59:40.000Z",
  "order_reference_1": "invoice_20042026_002",
  "order_reference_2": "invoice_20042026_002",
  "customer_full_name": "test",
  "platform_identifier": "PAYCOMBAT",
  "billing_address_city": "",
  "billing_address_country": null,
  "billing_address_zip_code": "",
  "customer_personal_number": ""
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paycombat.comurl_webhook_merchant' \
--header 'X-Signature;' \
--header 'Content-Type: application/json' \
--data-raw '{
  "id": "3650c921-88ae-4437-961d-48a2b9f3d021",
  "bin": "",
  "type": "PAYIN",
  "brand": "JOHNDOEBRAND",
  "is_3ds": "",
  "status": "SUCCESS",
  "currency": "FIAT",
  "payer_id": "2f872ec8-721d-40bd-a103-9e6a8db40dbb",
  "recon_id": "johndoe_recond_id",
  "trx_type": "CHECKOUT",
  "retrieval": 0,
  "created_at": "2026-04-20T03:50:15.000Z",
  "deleted_at": null,
  "ip_address": "",
  "reply_code": "DP-1776657013143-JB",
  "updated_at": "2026-04-20T03:54:40.000Z",
  "amount_type": "INR",
  "charge_back": 0,
  "credit_type": "CHECKOUT",
  "merchant_id": "230a5dd0-8c0d-4937-bdd2-970f99fa9cee",
  "paid_amount": 15000,
  "transaction": "invoice_20042026_002",
  "payment_date": null,
  "is_black_list": 0,
  "rolling_serve": 0,
  "customer_email": "jenii0022@yopmail.com",
  "customer_phone": "+6285156781122",
  "payment_method": "UPI",
  "additional_info": {
    "qr": "https://paycombat.co/SKU20240815025041/image?encoded=true&url=aHR0cHM6Ly9hcGkucXJzZXJ2ZXIuY29tL3YxL2NyZWF0ZS1xci1jb2RlLz9zaXplPTUxMng1MTImYmdjb2xvcj1GRkZGRkYmY29sb3I9MzkzQzNFJmRhdGE9dXBpJTNBJTJGJTJGcGF5JTNGcGElM0RoYW5zJTI1NDB1cGklMjZwbiUzRE1vb24lMjZ0ciUzRDE3NzY2NTcwMTQlMjZ0aWQlM0REUDE3NzY2NTcwMTQ4MDglMjZhbSUzRDE1MDAwLjAwJTI2dG4lM0R0ZXN0JTI1MjBwYXltZW50",
    "utr": "697300000563",
    "amount": "15000.00",
    "status": "success",
    "upi_id": "hans@upi",
    "message": "[DP] Submit Transaction Success!",
    "expired_at": "2026-04-20 09:35:14",
    "transaction_no": "DP1776657014808",
    "expired_timezone": "GMT+05:30",
    "transaction_code": "DP-1776657013143-JB"
  },
  "billing_address": "",
  "order_reference": "invoice_20042026_002",
  "original_amount": 15000,
  "transaction_date": "2025-10-24T01:59:40.000Z",
  "order_reference_1": "invoice_20042026_002",
  "order_reference_2": "invoice_20042026_002",
  "customer_full_name": "test",
  "platform_identifier": "PAYCOMBAT",
  "billing_address_city": "",
  "billing_address_country": null,
  "billing_address_zip_code": "",
  "customer_personal_number": ""
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
🟠400Bad Request
Modified at 2026-05-08 03:17:02
Previous
Create New Checkout
Next
Webhook PAYIN FAILED